Curses::UI::Radiobuttonbox(3pm)

NAME
Curses::UI::Radiobuttonbox - Create and manipulate radiobuttonbox widgets

CLASS HIERARCHY
 Curses::UI::Widget
 Curses::UI::Searchable
    |
    +----Curses::UI::Listbox
            |
            +----Curses::UI::Radiobuttonbox

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add('window_id', 'Window');

    my $radiobuttonbox = $win->add(
        'myradiobuttonbox', 'Radiobuttonbox',
        -values    => [1, 2, 3],
        -labels    => { 1 => 'One',
                        2 => 'Two',
                        3 => 'Three' },
    );

    $radiobuttonbox->focus();
    my $selected = $radiobuttonbox->get();

DESCRIPTION
Curses::UI::Radiobuttonbox is a widget that can be used to create a radiobutton listbox. Only one value can be selected at a time. This kind of listbox looks somewhat like this:

 +----------+
 |< > One   |
 |<o> Two   |
 |< > Three |
 +----------+

A Radiobuttonbox is derived from Curses::UI::Listbox. The only special thing about this class is that the -radio option is forced to a true value. So for the usage of Curses::UI::Radiobuttonbox see Curses::UI::Listbox).

SEE ALSO
Curses::UI, Curses::UI::Listbox,

AUTHOR
Copyright (c) 2001-2002 Maurice Makaay. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.